#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

Summary:	The modular source code checker: pep8, pyflakes and co
Name:		flake8
Version:	2.2.5
Release:	2
License:	MIT
Group:		Development/Tools
Source0:	https://pypi.python.org/packages/source/f/flake8/%{name}-%{version}.tar.gz
# Source0-md5:	6dea927949b94c9d9495ab24bcdf9cf0
URL:		https://pypi.python.org/pypi/flake8
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
%if %{with tests}
BuildRequires:	python3-mccabe >= 0.2.1
BuildRequires:	python3-nose
BuildRequires:	python3-pep8 >= 1.5.7
BuildRequires:	python3-pyflakes >= 0.8.1
%endif
Requires:	python3-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

%prep
%setup -q

%build
%{__python3} setup.py build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt README.rst
%attr(755,root,root) %{_bindir}/flake8
%{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}-%{version}-py*.egg-info
%changelog
* Tue Sep 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flake8.git;a=log;h=auto/th/flake8-2.2.5-2

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b6e3cac
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri Nov 28 2014 Elan Ruusamäe <glen@delfi.ee> 15a03bb
- update BR

* Thu Nov 27 2014 Elan Ruusamäe <glen@delfi.ee> a24e9a3
- enable tests (tests bcond did not exist), update deps for tests

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> abcf879
- initial

